Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.tags
Class DisplayProductEventTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
              com.bea.commerce.ebusiness.tracking.tags.DisplayProductEventTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class DisplayProductEventTag
extends ProductEventTag

Tag handler for `DisplayProductEventTag`. Dispatches a `DisplayProductEvent`.
To be used alongwith tags or code that displays a `ProductItem`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
`applicationName, categoryId, documentId, documentType, sessionId, sku, userId`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DisplayProductEventTag()` Ctor

Method Summary
`int` | `doStartTag()` Implement the StartTag callback.
`void` | `release()`

Methods inherited from class com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
`getApplicationName, getCategoryId, getDocumentId, getDocumentType, getSku, log, setApplicationName, setCategoryId, setCategoryId, setDocumentId, setDocumentType, setSku, setSku, throwException, throwException`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayProductEventTag

    public DisplayProductEventTag()

  Ctor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspTagException

  Implement the StartTag callback. This fires a Display.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ProductEventTag`
  Throws:
    `JspTagException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ProductEventTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved